Loading...
Searching...
No Matches
pappso::AtomNumberInterface Class Referenceabstract

`#include <atomnumberinterface.h>`

Inheritance diagram for pappso::AtomNumberInterface:

## Public Member Functions

virtual int | getNumberOfAtom (Enums::AtomIsotopeSurvey atom) const =0
| get the number of atom C, O, N, H in the molecule
virtual int | getNumberOfIsotope (Enums::Isotope isotope) const =0
| get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule
virtual const ChemicalFormula | getChemicalFormula () const

## Detailed Description

Definition at line 29 of file atomnumberinterface.h.

## Member Function Documentation

## getChemicalFormula()

const pappso::ChemicalFormula pappso::AtomNumberInterface::getChemicalFormula | ( |  | ) | const

virtual

Reimplemented in pappso::Peptide.

Definition at line 25 of file atomnumberinterface.cpp.

{
ChemicalFormula formula(*this);
return formula;
}

## getNumberOfAtom()

virtual int pappso::AtomNumberInterface::getNumberOfAtom | ( | Enums::AtomIsotopeSurvey | atom | ) | const

pure virtual

get the number of atom C, O, N, H in the molecule

Implemented in pappso::Aa, pappso::AaBase, pappso::AaModification, pappso::ChemicalFormula, pappso::Peptide, pappso::PeptideFragment, pappso::PeptideFragmentIon, and pappso::PeptideNaturalIsotope.

Referenced by pappso::ChemicalFormula::ChemicalFormula(), and pappso::PeptideInterface::getFormula().

## getNumberOfIsotope()

virtual int pappso::AtomNumberInterface::getNumberOfIsotope | ( | Enums::Isotope | isotope | ) | const

pure virtual

get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule

Implemented in pappso::Aa, pappso::AaBase, pappso::AaModification, pappso::ChemicalFormula, pappso::Peptide, pappso::PeptideFragment, pappso::PeptideFragmentIon, and pappso::PeptideNaturalIsotope.

Referenced by pappso::ChemicalFormula::ChemicalFormula(), and pappso::PeptideInterface::getFormula().

The documentation for this class was generated from the following files:

- pappsomspp/core/amino_acid/atomnumberinterface.h
- pappsomspp/core/amino_acid/atomnumberinterface.cpp